@Library('eo-jenkins-lib@master') import eo.Utils

pipeline {
    agent any
    stages {
        stage('Packaging') {
            steps {
                script {
                    if (env.JOB_NAME == 'atreal-publik-themes' && env.GIT_BRANCH == 'origin/master') {
                        sh 'sudo -H -u eobuilder /usr/local/bin/eobuilder atreal-publik-themes'
                    }
                }
            }
        }
    }
    post {
        always {
            script {
                utils = new Utils()
                utils.mail_notify(currentBuild, env, 'admin+jenkins-atreal-publik-themes@entrouvert.com')
            }
        }
        success {
            cleanWs()
        }
    }
}
